Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Unit

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.Unit

All Implemented Interfaces:
  DataElement, MutableDataElement

public class Unit
extends MutableDataElementSupport

Unit to specify kinetic constat, parameter or variable units.

Pendung:
  refine the definition according CellML/SBML approach

Field Summary
`static java.lang.String` | `CONCENTRATION`
`static java.lang.String` | `DISTANCE`
`static java.lang.String` | `MASS`
`static java.lang.String` | `OTHER`
`static java.lang.String` | `SUBSTANCE`
`static java.lang.String` | `TEMPERTURE`
`static java.lang.String` | `TIME`
`static java.lang.String` | `VOLUME`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Unit(DataCollection parent, java.lang.String name)`

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getUnitType()`
`void` | `setComment(java.lang.String comment)`
`void` | `setUnitType(java.lang.String unitType)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### SUBSTANCE

    public static final java.lang.String SUBSTANCE

See Also:
  Constant Field Values

### MASS

    public static final java.lang.String MASS

See Also:
  Constant Field Values

### VOLUME

    public static final java.lang.String VOLUME

See Also:
  Constant Field Values

### CONCENTRATION

    public static final java.lang.String CONCENTRATION

See Also:
  Constant Field Values

### TIME

    public static final java.lang.String TIME

See Also:
  Constant Field Values

### TEMPERTURE

    public static final java.lang.String TEMPERTURE

See Also:
  Constant Field Values

### DISTANCE

    public static final java.lang.String DISTANCE

See Also:
  Constant Field Values

### OTHER

    public static final java.lang.String OTHER

See Also:
  Constant Field Values

Constructor Detail

### Unit

    public Unit(DataCollection parent,
                java.lang.String name)

Method Detail

### getUnitType

    public java.lang.String getUnitType()

### setUnitType

    public void setUnitType(java.lang.String unitType)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.